## org.aspectj.weaver.tools
Class TraceFactory

    java.lang.Object
      org.aspectj.weaver.tools.TraceFactory

Direct Known Subclasses:
  CommonsTraceFactory, DefaultTraceFactory

    public abstract class TraceFactory

extends java.lang.Object

Field Summary
`protected static boolean` `debug`
`static java.lang.String` `DEBUG_PROPERTY`
`static java.lang.String` `DEFAULT_FACTORY_NAME`
`static java.lang.String` `FACTORY_PROPERTY`

Constructor Summary
`TraceFactory()`

Method Summary
`protected static boolean` `getBoolean(java.lang.String name, boolean def)`
`Trace` `getTrace(java.lang.Class clazz)`
`static TraceFactory` `getTraceFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_PROPERTY

    public static final java.lang.String DEBUG_PROPERTY

See Also:
  Constant Field Values

### FACTORY_PROPERTY

    public static final java.lang.String FACTORY_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_FACTORY_NAME

    public static final java.lang.String DEFAULT_FACTORY_NAME

See Also:
  Constant Field Values

### debug

    protected static boolean debug

Constructor Detail

### TraceFactory

    public TraceFactory()

Method Detail

### getTrace

    public Trace getTrace(java.lang.Class clazz)

### getTraceFactory

    public static TraceFactory getTraceFactory()

### getBoolean

    protected static boolean getBoolean(java.lang.String name,
                                        boolean def)